import React, { useState } from "react";
//import PropTypes from "prop-types";
import PageTitle from "../../../components/common/PageTitle";
import ViewListIcon from "@material-ui/icons/ViewList";
import AboutPageNavigation from "./AboutPageNavigation";

const NavigationTabs = {
  ABOUT: "About.Navigation.System",
  RELEASE_NOTES: "About.Navigation.ReleaseNotes"
};

const tabs = [
  {
    code: NavigationTabs.ABOUT,
    tooltip: NavigationTabs.ABOUT,
    icon: ViewListIcon
  },
  {
    code: NavigationTabs.RELEASE_NOTES,
    tooltip: NavigationTabs.RELEASE_NOTES,
    icon: ViewListIcon
  }
];

const AboutComponent = () => {
  const [tab, setTab] = useState(null);
  return (
    <>
      <PageTitle
        text={"Release notes"}
        navigation={<AboutPageNavigation tabs={tabs} onTabChange={setTab} />}
      />
    </>
  );
};

AboutComponent.propTypes = {};

export default AboutComponent;
